XMLGrammarLoader (Xerces Native Interface)
Date: 2016-02-03

org.apache.xerces.xni.grammars

## Interface XMLGrammarLoader

-     public interface XMLGrammarLoader

  The intention of this interface is to provide a generic means by which Grammar objects may be created without parsing instance documents. Implementations of this interface will know how to load specific types of grammars (e.g., DTD's or schemas); a wrapper will be provided for user applications to interact with these implementations.
  Version:
    $Id: XMLGrammarLoader.java 699892 2008-09-28 21:08:27Z mrglavas $
  Author:
    Neil Graham, IBM

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLEntityResolver` | `getEntityResolver()` Returns the registered entity resolver.
    `XMLErrorHandler` | `getErrorHandler()` Returns the registered error handler.
    `boolean` | `getFeature(java.lang.String featureId)` Returns the state of a feature.
    `java.util.Locale` | `getLocale()` Return the Locale the XMLGrammarLoader is using.
    `java.lang.Object` | `getProperty(java.lang.String propertyId)` Returns the state of a property.
    `java.lang.String[]` | `getRecognizedFeatures()` Returns a list of feature identifiers that are recognized by this XMLGrammarLoader.
    `java.lang.String[]` | `getRecognizedProperties()` Returns a list of property identifiers that are recognized by this XMLGrammarLoader.
    `Grammar` | `loadGrammar(XMLInputSource source)` Returns a Grammar object by parsing the contents of the entity pointed to by source.
    `void` | `setEntityResolver(XMLEntityResolver entityResolver)` Sets the entity resolver.
    `void` | `setErrorHandler(XMLErrorHandler errorHandler)` Sets the error handler.
    `void` | `setFeature(java.lang.String featureId, boolean state)` Sets the state of a feature.
    `void` | `setLocale(java.util.Locale locale)` Set the locale to use for messages.
    `void` | `setProperty(java.lang.String propertyId, java.lang.Object state)` Sets the state of a property.

- - ### Method Detail

    - #### getRecognizedFeatures

          java.lang.String[] getRecognizedFeatures()

      Returns a list of feature identifiers that are recognized by this XMLGrammarLoader. This method may return null if no features are recognized.

    - #### getFeature

          boolean getFeature(java.lang.String featureId)
                             throws XMLConfigurationException

      Returns the state of a feature.
      Parameters:
        `featureId` - The feature identifier.
      Throws:
        `XMLConfigurationException` - Thrown on configuration error.

    - #### setFeature

          void setFeature(java.lang.String featureId,
                        boolean state)
                          throws XMLConfigurationException

      Sets the state of a feature.
      Parameters:
        `featureId` - The feature identifier.
        `state` - The state of the feature.
      Throws:
        `XMLConfigurationException` - Thrown when a feature is not recognized or cannot be set.

    - #### getRecognizedProperties

          java.lang.String[] getRecognizedProperties()

      Returns a list of property identifiers that are recognized by this XMLGrammarLoader. This method may return null if no properties are recognized.

    - #### getProperty

          java.lang.Object getProperty(java.lang.String propertyId)
                                       throws XMLConfigurationException

      Returns the state of a property.
      Parameters:
        `propertyId` - The property identifier.
      Throws:
        `XMLConfigurationException` - Thrown on configuration error.

    - #### setProperty

          void setProperty(java.lang.String propertyId,
                         java.lang.Object state)
                           throws XMLConfigurationException

      Sets the state of a property.
      Parameters:
        `propertyId` - The property identifier.
        `state` - The state of the property.
      Throws:
        `XMLConfigurationException` - Thrown when a property is not recognized or cannot be set.

    - #### setLocale

          void setLocale(java.util.Locale locale)

      Set the locale to use for messages.
      Parameters:
        `locale` - The locale object to use for localization of messages.
      Throws:
        `XNIException` - Thrown if the parser does not support the specified locale.

    - #### getLocale

          java.util.Locale getLocale()

      Return the Locale the XMLGrammarLoader is using.

    - #### setErrorHandler

          void setErrorHandler(XMLErrorHandler errorHandler)

      Sets the error handler.
      Parameters:
        `errorHandler` - The error handler.

    - #### getErrorHandler

          XMLErrorHandler getErrorHandler()

      Returns the registered error handler.

    - #### setEntityResolver

          void setEntityResolver(XMLEntityResolver entityResolver)

      Sets the entity resolver.
      Parameters:
        `entityResolver` - The new entity resolver.

    - #### getEntityResolver

          XMLEntityResolver getEntityResolver()

      Returns the registered entity resolver.

    - #### loadGrammar

          Grammar loadGrammar(XMLInputSource source)
                              throws java.io.IOException,
                                     XNIException

      Returns a Grammar object by parsing the contents of the entity pointed to by source.
      Parameters:
        `source` - the location of the entity which forms the starting point of the grammar to be constructed.
      Throws:
        `java.io.IOException` - When a problem is encountered reading the entity XNIException When a condition arises (such as a FatalError) that requires parsing of the entity be terminated.
        `XNIException`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.